apt 3.1.11 commandline package manager

Public Member Functions | List of all members
debIFTypeDebianSourceDir Class Reference
Inheritance diagram for debIFTypeDebianSourceDir:

## Public Member Functions
pkgSrcRecords::Parser * | CreateSrcPkgParser (std::string const &SourceDir) const override
Public Member Functions inherited from pkgIndexFile::Type
virtual pkgRecords::Parser * | CreatePkgParser (pkgCache::PkgFileIterator const &) const

## Additional Inherited Members
Static Public Member Functions inherited from pkgIndexFile::Type
static Type * | GetType (const char *const Type) APT_PURE
Public Attributes inherited from pkgIndexFile::Type
const char * | Label
Static Public Attributes inherited from pkgIndexFile::Type
static Type ** | GlobalList = ItmList
static unsigned long | GlobalListLen = 0

## Member Function Documentation

## ◆ CreateSrcPkgParser()

pkgSrcRecords::Parser * CreateSrcPkgParser | ( | std::string const & | SourceDir | ) | const
| inline nodiscard override virtual

Reimplemented from pkgIndexFile::Type.

The documentation for this class was generated from the following file:

- apt-pkg/deb/debindexfile.cc